Subject: Re: [RFC PATCH net-next v6 02/15] net: page_pool: create hooks for custom page providers

From: Christoph Hellwig <[email-masked]>
Date: Sun, 24 Mar 2024 16:35:13 -0700

On Fri, Mar 22, 2024 at 10:40:26AM -0700, Mina Almasry wrote:
> Hi Christoph,
> 
> Sorry for the late reply, I've been out for a few days.
> 
> On Mon, Mar 18, 2024 at 4:22 PM Christoph Hellwig <[email-masked]> wrote:
> >
> > On Sun, Mar 17, 2024 at 07:49:43PM -0700, David Wei wrote:
> > > I'm working on a similar proposal for zero copy Rx but to host memory
> > > and depend on this memory provider API.
> >
> > How do you need a different provider for that vs just udmabuf?
> >
> 
> This was discussed on the io_uring ZC RFC in one of the earliest RFCs.
> Here is a link to Pavel's response:
> 
> https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/#25589471

Undesirable is not a good argument.  We need one proper API that
different subsystems share for this use case (this is the same Feedback
I gave Keith for the similar block proposal btw, not picking on the net
folks here).

If dmabuf/udmabuf doesn't work for that we need to enhance or replace
it, but not come up with little subsystem specific side channels.